Summary: ppp daemon package for linux 1.3.xx and greater
Name: ppp
%define version 2.3.5
Version: %{version}
Release: 1C2
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://cs.anu.edu.au/pub/software/ppp/ppp-%{version}.tar.gz
Source1: ppp-%{version}-pamd.conf
Patch0: ppp-%{version}-make.patch
Patch1: ppp-%{version}-sample.patch
Patch2: ppp-%{version}-glibc.patch
Patch3: ppp-%{version}-cobalt.patch
Buildroot: /var/tmp/pppd
Requires: glibc >= 2.0.6
Summary(de): ppp-Dmonpaket fr Linux 1.3.xx und hher
Summary(fr): Paquetage du dmon ppp pour Linux 1.3.xx et suprieur
Summary(tr): PPP sunucu sreci

%description
This is the daemon and documentation for PPP support.  It requires a kernel
greater than 2.0 which is built with PPP support. The default Red Hat
kernels include PPP support as a module.

%description -l de
Dies ist der Dmon und die Dokumentation fr PPP-Support. Erfordert
einen Kernel hher als 2.0, der mit PPP-Support gebaut ist. Die Standard-
Red-Hat-Kernel schlieen PPP-Support als Modul ein.

%description -l fr
Ceci est le dmon et la documentation pour le support PPP. Cela rclame
un noyau suprieur au 2.0 et construit avec le support PPP. Le noyau par
dfaut de Red Hat contient le support PPP sous forme de module.

%description -l tr
Bu paket PPP destei iin belgeler ve sunucu srecini ierir. ekirdek
srmnun 2.0'dan daha yksek olmasn gerektirir. ntanml Red Hat
ekirdei PPP desteini bir modl olarak ierir.

%prep
%setup  -q
%patch0 -p1 -b .make
%patch1 -p1 -b .sample
%patch2 -p1 -b .glibc
%patch3 -p1 -b .cobalt
find . -type f -name "*.sample" | xargs rm -f 

%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install TOPDIR=$RPM_BUILD_ROOT

## it shouldn't be SUID root be default
#chmod 755 $RPM_BUILD_ROOT/usr/sbin/pppd

strip $RPM_BUILD_ROOT/usr/sbin/chat $RPM_BUILD_ROOT/usr/sbin/pppstats \
	$RPM_BUILD_ROOT/usr/sbin/pppd 
chmod 644 scripts/*
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 $RPM_SOURCE_DIR/ppp-%{version}-pamd.conf \
	$RPM_BUILD_ROOT/etc/pam.d/ppp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root)	/usr/sbin/chat
%attr(0755,root,root)	/usr/sbin/pppd
%attr(0755,root,daemon)	/usr/sbin/pppstats
%attr(0644,root,root)	/usr/man/man8/chat.8
%attr(0644,root,root)	/usr/man/man8/pppd.8
%attr(0644,root,daemon)	/usr/man/man8/pppstats.8
%attr(0755,root,root)	%dir /etc/ppp
%attr(0600,root,daemon)	%config /etc/ppp/chap-secrets
%attr(0644,root,daemon)	%config /etc/ppp/options
%attr(0644,root,daemon)	%config /etc/ppp/chatscript
%attr(0600,root,daemon)	%config /etc/ppp/pap-secrets
%attr(0644,root,root)	%config /etc/pam.d/ppp
%attr(-,-,-)		%doc README README.linux scripts sample

%changelog
* Fri Jan 8 1999 Sridhar Gopal <gsri@cobaltnet.com>
  - updated etc.ppp/chatscript to include init string
  - hate bundling conf files w/ binary rpms...we need to split rpms!!

* Mon Dec 21 1998 Andrew Bose <andrew@cobaltnet.com>
	- C1
        - Add /etc/ppp/chatscript
        - remove lock from /etc/ppp/options

* Fri Jun  5 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.3.5.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May  8 1998 Jakub Jelinek <jj@ultra.linux.cz>
- make it run with kernels 2.1.100 and above.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Mar 18 1998 Cristian Gafton <gafton@redhat.com>
- requires glibc 2.0.6 or later

* Wed Mar 18 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated PAM patch to not turn off wtmp/utmp/syslog logging.

* Wed Jan  7 1998 Cristian Gafton <gafton@redhat.com>
- added the /etc/pam.d config file
- updated PAM patch to include session support

* Tue Jan  6 1998 Cristian Gafton <gafton@redhat.com>
- updated to ppp-2.3.3, build against glibc-2.0.6 - previous patches not
  required any more.
- added buildroot
- fixed the PAM support, which was really, completely broken and against any
  standards (session support is still not here... :-( )
- we build against running kernel and pray that it will work
- added a samples patch; updated glibc patch

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- added a patch to use our own route.h, rather then glibc's (which has 
  alignment problems on Alpha's) -- I only applied this patch on the Alpha,
  though it should be safe everywhere

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- turned off the execute bit for scripts in /usr/doc

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Integrated new patch from David Mosberger
- Improved description

